 <?php 

class FkeyField  {
 private $scope;
  private $label;
  private $iterator;

  public function __construct($entry) {
    if (isset($entry)) {
      $this->scope  = $entry->scope;
      $this->iterator = $entry->iterator;

      if (isset($entry->label))
        $this->label = "<label>$entry->label</label><br>";
      else
        $this->label = "";

      if (isset($entry->indexMask))
         $this->indexMask = $entry->indexMask;
      else
        $this->indexMask = 1;

    }
  }
  
  public function outputLayout() {
  
    $layout = "
  $this->label    
  <input type='number' id='$this->iterator$this->indexMask' class='$this->iterator' $this->attribute>
	";

	return $layout;
  }	

  public function outputScript() {

    $script = "

// define data structure once
if (SearchStatus === undefined) {

  // object definition
  function SearchStatus (formid) {
    this.formid = formid; 

    this.setBits = function(id, index) {
      var st = SearchStatus.prototype.complete;

      if (id > 0) 
        SearchStatus.prototype.complete = index | st;
      else
        SearchStatus.prototype.complete = ~index & st;

      SearchStatus.fkey = id;
      
//alert (id + '-' + SearchStatus.prototype.complete + '-'+ index + '-' +  SearchStatus.fkey);
    };
    this.setClear = function(i) {
      SearchStatus.prototype.clear = i;
    };

  }
  SearchStatus.prototype.complete = 000;
  SearchStatus.prototype.clear = 0;
}  
 
// instantiate object for this form 
var stat$this->scope = new SearchStatus('$this->iterator');
stat$this->scope.form = '$this->iterator';
stat$this->scope.fkey = 0;
//alert ('index$this->iterator:' + form$this->scope.index + ' $this->indexMask')
//form$this->scope.index = parseInt($this->hidden ? '000' : '1');

var index$this->scope = '$this->indexMask';
//alert ('set idx:' + index$this->scope);

function set$this->scope (value, text) {

//alert ('$this->scope new val:' + value + ' curr:' + document.getElementById('$this->iterator$this->indexMask').value + ' idx:' + index$this->scope + ' comp:' + stat$this->scope.complete );

//stat$this->scope.setBits (value, '$this->indexMask');
stat$this->scope.setClear(0);

  if (value > 0 && document.getElementById('$this->iterator$this->indexMask').value == 0) {
//alert ('send 1');  
    stat$this->scope.setBits (value, '$this->indexMask');
    document.getElementById('$this->iterator$this->indexMask').value = value;
    send$this->scope (value, '', 'sequent_ent');
  }
  
  else if (value == 0 && document.getElementById('$this->iterator$this->indexMask').value > 0) {
//alert ('send 2 ' + stat$this->scope.fkey);
    var source = (stat$this->scope.complete == 110) ? 'sequent_frm' : 'sequent_upd'; 
//    stat$this->scope.setBits (document.getElementById('$this->iterator$this->indexMask').value, '$this->indexMask');
    
    send$this->scope (document.getElementById('$this->iterator$this->indexMask').value, '', source);
  }    
//alert ('$this->scope new val:' + value + ' curr:' + document.getElementById('$this->iterator$this->indexMask').value + ' idx:' + index$this->scope + ' comp:' + stat$this->scope.complete );
}

multiFunction['set$this->scope'] = {
  set$this->scope:set$this->scope
};  

function send$this->scope (value, text, source) {
  var msgContent = [];
  
//alert ('$this->scope send idx:' + index$this->scope + ' ' + source);
  msgContent.$this->scope = [value, text, source, index$this->scope, 
                             'new fkey'];
  newValue$this->iterator (msgContent);
}

function com$this->scope (message) {
  var key = Object.keys(message);
logMessage ('<td>com msg</td><td>' + key + '</td><td>$this->scope</td><td>' + message[key][0] + '</td><td>' + message[key][1] + '</td><td>' + message[key][2] + '</td><td>' + message[key][3] + '</td><td>' + message[key][4] + '</td>');  

  if (key == 'fkeyId') {

    var prevComp = stat$this->scope.complete;
//alert ('com$this->scope:' + key + ' value:' + message[key][0] + 'msg idx:' + message[key][3] + ' complete: ' + stat$this->scope.complete + ' prev complete: ' + prevComp + ' ctrl index:' + index$this->scope + ' comp:' + stat$this->scope.complete );
    document.getElementById('$this->iterator$this->indexMask').value = message[key][0];
    stat$this->scope.setBits (message[key][0], '$this->indexMask');
 
//alert ('com$this->scope:' + key + ' value:' + message[key][0] + ' msg idx:' + message[key][3] + ' comp: ' + stat$this->scope.complete + ' prev complete: ' + prevComp + ' ctrl index:' + index$this->scope + ' clear:' + stat$this->scope.clear);
    var index = '$this->indexMask';
    var other = ~index & stat$this->scope.complete;
//alert ('other:' + other);

//alert ('com$this->scope:' + stat$this->scope.complete );


    if (message[key][0] == 0) {

//alert ('clear:' + stat$this->scope.clear + ' prev:' + prevComp + ' comp:' +stat$this->scope.complete);

      if (stat$this->scope.clear == 0) {
        var msgContent = [];
        msgContent.$this->iterator = [0, '', 'sequent_frm', index$this->scope, 'init'];
        newValue$this->iterator (msgContent);
        if (prevComp == 0)
          stat$this->scope.setClear(1);
      }
      asc$this->iterator ();
    }
    
    else if (other == 0) {
//alert ('no other');    
      stat$this->scope.setClear(0);
      var summaryId = document.getElementById('$this->iterator' + message[key][3]).value;
      send$this->scope (summaryId, '', 'sequent_upd');
    }
    else if (other > 0) {
//alert ('other:' + document.getElementById('$this->iterator$this->indexMask').value);
      send$this->scope (message[key][0], '', 'sequent_frm');
      asc$this->iterator ();
//      var otherId = document.getElementById('$this->iterator' + other).value;
    }

  }    
}  

multiFunction['com$this->scope'] = {
  com$this->scope:com$this->scope
};  

function ascbu$this->iterator () {
  var xhr = new XMLHttpRequest();
  var params = '';
  var ampersand = '';

  for (var i=0; i < formData$this->iterator.length; i++) {
    if (formData$this->iterator[i]['field'].substr(0,3) == 'fky')
      params += ampersand + formData$this->iterator[i]['dbcolumn'] + '=' + formData$this->iterator[i]['newvalue'] +
               '&' + formData$this->iterator[i]['dbcolumn'] + '_text=' + formData$this->iterator[i]['newtext'];
    ampersand = '&';           
  }

  xhr.open('POST', 'ajax/asc$this->iterator.php', true);
  xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  xhr.onreadystatechange = function() {//Call a function when the state changes.
    if (xhr.readyState == 4 && xhr.status == 200) {
      var response = JSON.parse(xhr.responseText);
//alert (response);      
      return response;
    }
  }
  xhr.send(params);
}


    "; 
    return $script;
  }
}

?>