<?php 

define("PUBLIC_ACCESS", 1);

?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Report Generator</title>
  <meta charset="utf-8">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

.btn {
    width:160px;  
}


textarea, input {
  width: 100%;
}

body {
  font-size:16px;
  font-weight:500;
  color:#000;
}

</style>

</head>
<body>

<?php 

  define("PUBLIC_ACCESS", 1);
  // Include the MVC class definitions
  $docRoot = $_SERVER['DOCUMENT_ROOT'];
  $toolkit = "$docRoot/toolkit";
  require_once ("$toolkit/clickcheckbox.php");
  require_once ("$toolkit/processreport.php");
  require_once ("$toolkit/inputhidden.php");
  require_once ("$toolkit/inputtext.php");
  require_once ("$toolkit/notetext.php");
  require_once ("$toolkit/putbutton.php");
  require_once ("$toolkit/selectoptionadd.php");
  require_once ("$toolkit/selectoption.php");
  require_once ("$toolkit/summarytable.php");
  require_once ("$toolkit/formdatahandler.php");
  require_once ("$toolkit/filtertable.php");
  require_once ("$toolkit/toggleslider.php");
  
  require_once ("$docRoot/sys/init.php");
  require_once ("$docRoot/reportgenerator/model.php");
  require_once ("$docRoot/reportgenerator/view.php");

  // Initialize model
  $reportGenerator = new modReportGenerator();

  $reportGeneratorView = new modReportGeneratorView($reportGenerator);
  echo $reportGeneratorView->output();

?>

</body>
</html>

